clang-tools 8.0.0

Public Attributes | List of all members
clang::include_fixer::IncludeFixerContext::QuerySymbolInfo Struct Reference

`#include <IncludeFixerContext.h>`

Collaboration diagram for clang::include_fixer::IncludeFixerContext::QuerySymbolInfo:
[legend]

## Public Attributes
std::string | RawIdentifier
| The raw symbol name being queried in database. More...
std::string | ScopedQualifiers
| The qualifiers of the scope in which SymbolIdentifier lookup occurs. More...
tooling::Range | Range
| The replacement range of RawIdentifier. More...

## Detailed Description

Definition at line 33 of file IncludeFixerContext.h.

## Member Data Documentation

## ◆ Range

tooling::Range clang::include_fixer::IncludeFixerContext::QuerySymbolInfo::Range

The replacement range of RawIdentifier.

Definition at line 46 of file IncludeFixerContext.h.

## ◆ RawIdentifier

std::string clang::include_fixer::IncludeFixerContext::QuerySymbolInfo::RawIdentifier

The raw symbol name being queried in database.

This name might miss some namespace qualifiers, and will be replaced by a fully qualified one.

Definition at line 37 of file IncludeFixerContext.h.

## ◆ ScopedQualifiers

std::string clang::include_fixer::IncludeFixerContext::QuerySymbolInfo::ScopedQualifiers

The qualifiers of the scope in which SymbolIdentifier lookup occurs.

It is represented as a sequence of names and scope resolution operatiors ::, ending with a scope resolution operator (e.g. a::b::). Empty if SymbolIdentifier is not in a specific scope.

Definition at line 43 of file IncludeFixerContext.h.

The documentation for this struct was generated from the following file:

- IncludeFixerContext.h